<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Configuring Nighthawk C2 — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `init --config <val>` | Initialize Nighthawk framework |
| `configure --implant-type <val> --syscall <val>` | Configure Nighthawk implant |
| `deploy --target <val> --unhook <val>` | Deploy Nighthawk implant |
| `verify --component <val>` | Verify Nighthawk components |
| `report --format <val>` | Generate Nighthawk report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--config` | string | Yes | Config parameter |
| `--implant-type` | string | Yes | Implant Type parameter |
| `--syscall` | string | Yes | Syscall parameter |
| `--target` | string | Yes | Target parameter |
| `--unhook` | string | Yes | Unhook parameter |
| `--component` | string | Yes | Component parameter |
| `--format` | string | Yes | Format parameter |
